ome-files 0.1.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
ome::files::detail::MergeSubchannelVisitor Struct Reference

Merge a single subchannel into a PixelBuffer. More...

`#include <ome/files/VariantPixelBuffer.h>`

Inheritance diagram for ome::files::detail::MergeSubchannelVisitor:
[legend]
Collaboration diagram for ome::files::detail::MergeSubchannelVisitor:
[legend]

## Public Member Functions
| MergeSubchannelVisitor (VariantPixelBuffer &dest, dimension_size_type subC)
| Constructor. More...
template<typename T >
void | operator() (const T &v)
| Merge subchannel. More...

## Public Attributes
VariantPixelBuffer & | dest
| Destination pixel buffer.
dimension_size_type | subC
| Subchannel to copy.

## Detailed Description

Merge a single subchannel into a PixelBuffer.

## Constructor & Destructor Documentation

ome::files::detail::MergeSubchannelVisitor::MergeSubchannelVisitor | ( | VariantPixelBuffer & | dest,
|  | dimension_size_type | subC
| ) |  |
| inline

Constructor.

Parameters

  dest | the destination pixel buffer.
  subC | the subchannel to copy.

## Member Function Documentation

template<typename T >

void ome::files::detail::MergeSubchannelVisitor::operator() | ( | const T & | v | ) |
| inline

Merge subchannel.

Parameters

  v | the PixelBuffer to use.

References ome::files::VariantPixelBuffer::vbuffer().

The documentation for this struct was generated from the following file:

- ome/files/VariantPixelBuffer.h